* {
    box-sizing: border-box;
    padding: 0;
}

body {
    background-color: #161616;
    align-items: center;
    text-align: center;
    justify-content: space-between;
    place-items: center;
    margin: 0;
    flex-direction: column;
}

header {
    width: 100%;
    margin: 15px 0;
    align-items: center;
    text-align: center;
    justify-content: space-between;
    place-items: center;
    
}

.header-container {
    display: flex;
    place-content: center;
    align-items: center;
}

.header-container h1 {
    text-align: center;
    place-items: center;
}

#introduction {
    font-size: 18px;
    padding-left: 350px;
    padding-right: 350px;
    margin-bottom: 45px;
}

/* Contenedor Flex */
.contenedor {
    display: flex;
    flex-direction: row;
    gap: 20px;
    padding: 20px;
    justify-content: center;
    align-items: center;
}

/* Estilo de cada sección */
.seccion {
    border-color: blueviolet;
    border: 1px solid;
    flex-direction: column;
    width: 200px;
    height: 200px;
    background-color: #161616;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    transition: transform 0.3s, background-color 0.3s;
}

/* Imagen dentro de la sección */
.cont-img {
    width: 150px;
    height: auto;
    border-radius: 8px;
    object-fit: cover;
}

/* Columna de texto */
.cont-column h3 {
    margin: 0;
    font-size: 20px;
    color: #333;
}


/* Efecto hover */
.seccion:hover {
    background-color: blueviolet;
    transform: scale(1.1);
}

/* TODOS LOS TEXTOS */

h1 {
    font-size: 28px;
}
a {
    text-decoration: none;
}

/* RESPONSIVE SETTINGS */

@media (max-width: 768px) {
    .header-container {
        flex-direction: column;
    }

    #introduction {
        font-size: 18px;
        padding-left: 15px;
        padding-right: 15px;
        margin-bottom: 45px;
    }

    .contenedor {
        flex-direction: column;
    }
    

}
